---
title: scrollbar-color
slug: Web/CSS/scrollbar-color
tags:
  - CSS
  - CSS Property
  - Reference
  - css scrollbars
  - 'recipe:css-property'
  - scrollbar-color
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>scrollbar-color</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the color of the scrollbar track and thumb.</span></p>

<p>The <strong>track</strong> refers to the background of the scrollbar, which is generally fixed regardless of the scrolling position.</p>

<p>The <strong>thumb</strong> refers to the moving part of the scrollbar, which usually floats on top of the track.</p>

<div>{{EmbedInteractiveExample("pages/css/scrollbar-color.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
scrollbar-color: auto;
scrollbar-color: dark;
scrollbar-color: light;

/* &lt;color&gt; values */
scrollbar-color: rebeccapurple green;   /* Two valid colors.
The first applies to the thumb of the scrollbar, the second to the track. */

/* Global values */
scrollbar-color: inherit;
scrollbar-color: initial;
scrollbar-color: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;scrollbar-color&gt;</code></dt>
 <dd>Defines the color of the scrollbar.
 <table class="standard-table">
  <tbody>
   <tr>
    <td><code>auto</code></td>
    <td>Default platform rendering for the track portion of the scrollbar, in the absence of any other related scrollbar color properties.</td>
   </tr>
   <tr>
    <td><code>dark</code></td>
    <td>Show a dark scrollbar, which can be either a dark variant of scrollbar provided by the platform, or a custom scrollbar with dark colors.</td>
   </tr>
   <tr>
    <td><code>light</code></td>
    <td>Show a light scrollbar, which can be either a light variant of scrollbar provided by the platform, or a custom scrollbar with light colors.</td>
   </tr>
   <tr>
    <td><code>&lt;color&gt; &lt;color&gt;</code></td>
    <td>Applies the first color to the scrollbar thumb, the second to the scrollbar track.</td>
   </tr>
  </tbody>
 </table>

 <div class="note">
 <p><strong>Note</strong>: User Agents must apply any <code>scrollbar-color</code> value set on the root element to the viewport.</p>
 </div>
 </dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>When using <code>scrollbar-color</code> property with specific color values, authors should ensure the specified colors have enough contrast between them. For keyword values, UAs should ensure the colors they use have enough contrast. See <a href="https://www.w3.org/TR/WCAG20-TECHS/G183.html">Techniques for WCAG 2.0: G183: Using a contrast ratio of 3:1</a>.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Coloring_overflow_scrollbars">Coloring overflow scrollbars</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">.scroller {
  width: 300px;
  height: 100px;
  overflow-y: scroll;
  scrollbar-color: rebeccapurple green;
}</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="scroller"&gt;Veggies es bonus vobis, proinde vos postulo essum magis kohlrabi welsh onion daikon amaranth tatsoi tomatillo melon azuki bean garlic. Gumbo beet greens corn soko endive gumbo gourd. Parsley shallot courgette tatsoi pea sprouts fava bean collard greens dandelion okra wakame tomato. Dandelion cucumber earthnut pea peanut soko zucchini.&lt;/div&gt;</pre>

<h4 id="Result">Result</h4>

<div>{{EmbedLiveSample("Coloring_overflow_scrollbars")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scrollbars", "#scrollbar-color", "scrollbar-color")}}</td>
   <td>{{Spec2("CSS Scrollbars")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<div>{{Compat("css.properties.scrollbar-color")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/scrollbar-width"><code>scrollbar-width</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/overflow"><code>overflow</code></a></li>
</ul>
